MerkleTree.TreeRange (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.utils
Class MerkleTree.TreeRange

    java.lang.Object
      org.apache.cassandra.dht.AbstractBounds
          org.apache.cassandra.dht.Range
              org.apache.cassandra.utils.MerkleTree.TreeRange

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Range>

Enclosing class:
  MerkleTree

    public static class MerkleTree.TreeRange

extends Range

The public interface to a range in the tree. NB: A TreeRange should not be returned by a public method unless the parents of the range it represents are already invalidated, since it will allow someone to modify the hash. Alternatively, a TreeRange may be created with a null tree, indicating that it is read only.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.cassandra.dht.AbstractBounds
`AbstractBounds.AbstractBoundsSerializer`

Field Summary
`byte` | `depth`
`static long` | `serialVersionUID`

Fields inherited from class org.apache.cassandra.dht.AbstractBounds
`left, partitioner, right`

Method Summary
`void` | `addAll(java.util.Iterator<MerkleTree.RowHash> entries)`
`void` | `addHash(MerkleTree.RowHash entry)`
`byte[]` | `hash()`
`void` | `hash(byte[] hash)`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.cassandra.dht.Range
`compare, compareTo, contains, contains, contains, createFrom, differenceToFetch, equals, intersectionWith, intersects, isTokenInRanges, isWrapAround, isWrapAround, rangeSet, unwrap`

Methods inherited from class org.apache.cassandra.dht.AbstractBounds
`hashCode, normalize, serializer, split`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    public static final long serialVersionUID

See Also:
  Constant Field Values

### depth

    public final byte depth

Method Detail

### hash

    public void hash(byte[] hash)

### hash

    public byte[] hash()

### addHash

    public void addHash(MerkleTree.RowHash entry)

  Parameters:
    `entry` - Row to mix into the hash for this range.

### addAll

    public void addAll(java.util.Iterator<MerkleTree.RowHash> entries)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `Range`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation